<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.line.RMpEventDetailMMapper">
  <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpEventDetailMPO">
    <!--@mbg.generated-->
    <!--@Table r_mp_event_detail_m-->
    <id column="measurement_point_id" jdbcType="VARCHAR" property="measurementPointId" />
    <id column="data_date" jdbcType="TIMESTAMP" property="dataDate" />
    <result column="swell_times" jdbcType="INTEGER" property="swellTimes" />
    <result column="sag_times" jdbcType="INTEGER" property="sagTimes" />
    <result column="interrupt_times" jdbcType="INTEGER" property="interruptTimes" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    measurement_point_id, data_date, swell_times, sag_times, interrupt_times
  </sql>
</mapper>